<?php

/*

Plugin Name: WP SMS Marketing

Plugin URI: http://www.ranksol.com

Description: WP-SMS Marketing version 3.0 is a completely integrated plug-in to improve and enhance your marketing needs. This SMS Marketing application has outstanding features like bulk sms, email auto-responder, campaign management, and scheduler. By using this powerful plugin you can easily add up-to 10 images and can easily manage them from one place, simply as if you are adding a team of members in system. That's not just it… you can easily monitor your marketing campaigns through our advanced analytics system.  

Widget integration and customization is also enabled. What else do you need from such amazing plug-in? Don't worry we have got more than 50 exciting features enabled.  WP-SMS Marketing comes with Admin panel, IVR, call recording and much more features which you have ever thought about. With this highly effective plug-in you can simply shuffle multiple numbers in a sequence or randomly choose numbers by uploading a csv file containing your contact list and start sending up-dates / business offers.

Version: 8.8

Author: Rank Sol(Weaving A Better Web)

Author URI: http://www.ranksol.com

Slug: wp-messagings

*/

require 'nm_updates/plugin-update-checker.php';

$ExampleUpdateChecker = new PluginUpdateChecker_2_0( 'http://updates.ranksol.com/plugin_updates/messagings_updates/json/update.json', __FILE__, 'wp-messagings' );

include_once( 'plugin_files/functions.php' );

$userInfo = getWPNMUserInfo();

add_action( 'wp_ajax_save_nm_woo_autoresponders', 'saveNMWooAutoresponders' );

function saveNMWooAutoresponders() {

	global $wpdb;

	$totalQuestions = count( $_REQUEST['woo_auto_sms'] );

	for ( $i = 0; $i < $totalQuestions; $i ++ ) {

		if ( trim( $_REQUEST['woo_auto_sms'][ $i ] ) != '' ) {


			if ( $_FILES['woo_auto_media']['name'][ $i ] != '' ) {

				$ext = getWPNMExtension( $_FILES['woo_auto_media']['name'][ $i ] );

				$fileName = uniqid() . '.' . $ext;

				$tmpName = $_FILES['woo_auto_media']['tmp_name'][ $i ];

				$res = move_uploaded_file( $tmpName, dirname( __FILE__ ) . 'uploads/' . $fileName );

				if ( ! $res ) {


					$fileName = $_REQUEST['hidden_woo_auto_media'][ $i ];

				} else {

				}

			} else {


				$fileName = $_REQUEST['hidden_woo_auto_media'][ $i ];

			}


			if ( $_REQUEST['woo_auto_day_delayed'][ $i ] == '' ) {

				$_REQUEST['woo_auto_day_delayed'][ $i ] = '0';

			}

			$data = array(

				'delay_days' => wpnmDBin($_REQUEST['woo_auto_day_delayed'][ $i ]),

				'delay_time' => wpnmDBin($_REQUEST['woo_auto_delay_time'][ $i ]),

				'message' => wpnmDBin($_REQUEST['woo_auto_sms'][ $i ]),

				'media' => wpnmDBin($fileName)

			);

			if ( $_REQUEST['woo_auto_id'][ $i ] == '' ) {

				$wpdb->insert( $wpdb->prefix . "nm_woo_autoresponders", $data );

				$_SESSION['nm_admin_notice'] = '<div class="notice notice-success"><strong>Success! </strong> Autorespnoder has been saved.</div>';

			} else {

				$where = array(

					'id' => wpnmDBin($_REQUEST['woo_auto_id'][ $i ])

				);

				$wpdb->update( $wpdb->prefix . "nm_woo_autoresponders", $data, $where );

				$_SESSION['nm_admin_notice'] = '<div class="notice notice-success"><strong>Success! </strong> Autorespnoder has been updated.</div>';

			}

		}

	}

	header( "location: " . $_SERVER['HTTP_REFERER'] );

	die();

}


add_action( 'wp_ajax_manage_fake_numbers', 'manageFakeNumbers' );

function manageFakeNumbers() {


	global $wpdb;


	$getNumberIDs = trim( $_REQUEST['getNumberIDs'], ',' );


	$getNumberIDs = explode( ',', $getNumberIDs );


	$desiredMethod = $_REQUEST['desiredMethod'];


	if ( $desiredMethod == '1' ) {


		for ( $i = 0; $i < count( $getNumberIDs ); $i ++ ) {


			$numberID = $getNumberIDs[ $i ];


			$sql = "update " . $wpdb->prefix . "nm_user_phone_numbers set Status= ".wpnmDBin('1')." where id='" . $numberID . "'";


			$wpdb->query( $sql );


		}


		$_SESSION['nm_admin_notice'] = '<div class="notice notice-success"><strong>Success! </strong> numbers has been restored.</div>';


	} else {


		for ( $i = 0; $i < count( $getNumberIDs ); $i ++ ) {


			$numberID = $getNumberIDs[ $i ];


			$sql = "delete from " . $wpdb->prefix . "nm_user_phone_numbers where id='" . $numberID . "'";


			$wpdb->query( $sql );


		}


		$_SESSION['nm_admin_notice'] = '<div class="notice notice-success"><strong>Success! </strong> numbers has been deleted.</div>';


	}


	die();


}


add_action( "wp_ajax_get_sms_delivery_status", "getSMSDeliveryStatus" );


add_action( "wp_ajax_nopriv_get_sms_delivery_status", "getSMSDeliveryStatus" );


function getSMSDeliveryStatus() {


	include_once( "plugin_files/sms_delivery_status.php" );


	die();


}


add_action( 'wp_ajax_run_nm_batch', 'runNMBatch' );


add_action( 'wp_ajax_nopriv_run_nm_batch', 'runNMBatch' );


function runNMBatch() {


	include_once( "plugin_files/send_batch.php" );


	die();


}


function displayFakeNumbers() {


	include_once( "plugin_files/display_fake_numbers.php" );


	die();


}


add_action( 'wp_ajax_get_msg_details', 'getMsgDetails' );


function getMsgDetails() {


	global $userInfo, $wpdb;


	$smsSid = trim( $_REQUEST['smsSid'] );


	$recordID = $_REQUEST['recordID'];


	$sms = $wpdb->get_row( "select * from " . $wpdb->prefix . "nm_sms_inbox where id='" . $recordID . "'" );


	if ( count( $sms ) == 0 ) {


		echo DBout('<p id="msgStatus"><b>No Record.</b></p>');


		echo DBout('<p id="smsErrorMessage">Description: <b>No message found.</b></p>');


	} else {


		if ( trim( $sms->SMSSid ) == '' ) {

			echo DBout('<p id="msgStatus">Status: <b>' . $sms->status . '</b></p>');


			echo DBout('<p id="smsErrorCode">Error Code: <b>' . $sms->error_code . '</b></p>');


			echo DBout('<p id="smsErrorMessage">Description: <b>' . $sms->error_message . '</b></p>');


		} else {


			if ( $sms->status == 'delivered' ) {


				echo DBout('<p id="msgStatus">Status: <b>' . $sms->status . '</b></p>');


				echo DBout('<p id="smsErrorCode">SMS Sid: <b>' . $sms->SMSSid . '</b></p>');


				echo DBout('<p id="smsErrorMessage">Description: <b>Message has been delivered successfully.</b></p>');


			} else if ( $sms->status == 'sent' ) {


				echo DBout('<p id="msgStatus">Status: <b>' . $sms->status . '</b></p>');


				echo DBout('<p id="smsErrorCode">SMS Sid: <b>' . $sms->SMSSid . '</b></p>');


				echo DBout('<p id="smsErrorMessage">Description: <b>Message is pending at carrier side.</b></p>');


			} else if ( $sms->status == '' ) {


				echo DBout('<p id="msgStatus">Status: <b>Failed.</b></p>');


				echo DBout('<p id="smsErrorCode">SMS Sid: <b>' . $sms->SMSSid . '</b></p>');


				echo DBout('<p id="smsErrorMessage">Description: <b>No response from twilio.</b></p>');


			} else {


				echo DBout('<p id="msgStatus">Status: <b>' . $sms->status . '</b></p>');


				echo DBout('<p id="smsErrorCode">Error Code: <b>' . $sms->error_code . '</b></p>');


				echo DBout('<p id="smsErrorMessage">Description: <b>' . $sms->error_message . '</b></p>');


			}


		}


	}


	die();


}



add_action( 'wp_ajax_nm_sandbox', 'nmSandbox' );


function nmSandbox() {


	global $userInfo;


	$url = 'https://rest.nexmo.com/search/message/?id=0C0000009D76926B/';


	$ch = curl_init();


	curl_setopt( $ch, CURLOPT_URL, $url );


	echo DBout($authentication = base64_encode( "3aa31af8:nexmoSecret123" ));


	curl_setopt( $ch, CURLOPT_HTTPHEADER, array(


			"Authorization: Basic $authentication"
		)


	);


	curl_setopt( $ch, CURLOPT_HTTPGET, true );


	curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );


	curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, false );


	curl_setopt( $ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0' );


	echo DBout($data = curl_exec( $ch ));


	$data = json_decode( $data, true );


	curl_close( $ch );


	echo DBout('<pre>');


	print_r( $data );


}


add_action( 'wp_ajax_duplicate_campaign', 'duplicateCampaign' );


function duplicateCampaign() {


	global $wpdb;


	$campID = $_REQUEST['campID'];


	$keyword = $_REQUEST['keyword'];


	$title = $_REQUEST['title'];


	$sql = "select id from " . $wpdb->prefix . "nm_client_groups where lower(Keyword)='" . $keyword . "'";


	$campData = $wpdb->get_row( $sql );


	if ( count( $campData ) == 0 ) {


		$sel = "select * from " . $wpdb->prefix . "nm_client_groups where id='" . $campID . "'";


		$res = $wpdb->get_row( $sel );


		if ( count( $res ) == 0 ) {


			echo DBout('selected campaign is already deleted.');


		} else {


			$data = array(


				'Title' => wpnmDBin($title),


				'Keyword' => wpnmDBin($keyword),


				'CampaignSMS' => wpnmDBin($res->CampaignSMS),


				'already_member_sms' => wpnmDBin($res->already_member_sms),


				'PhoneNumber' => wpnmDBin($res->PhoneNumber),


				'IsSpecialGroup' => wpnmDBin($res->IsSpecialGroup),


				'BakcOfficeNumber' => wpnmDBin($res->BakcOfficeNumber),


				'SpecialGroupSMS' => wpnmDBin($res->SpecialGroupSMS),


				'SpecialGroupOfficeSMS' => wpnmDBin($res->SpecialGroupOfficeSMS),


				'noti_type' => wpnmDBin($res->noti_type),


				'SpecialGroupEmail' => wpnmDBin($res->SpecialGroupEmail),


				'is_notity' => wpnmDBin($res->is_notity),


				'CreatedDate' => wpnmDBin(date( 'Y-m-d H:i:s' )),


				'CampFile' => wpnmDBin($res->CampFile)


			);


			$wpdb->insert( $wpdb->prefix . "nm_client_groups", $data );


			if ( trim( $wpdb->last_error ) == '' ) {
				echo DBout('1');
			} else {
				echo DBout($wpdb->last_error);
			}


		}


	} else {


		echo DBout('keyword is already exists.');


	}


	die();


}


add_action( 'wp_ajax_save_web_widget_settings', 'saveWebWidgetSettings' );


function saveWebWidgetSettings() {


	global $wpdb;


	if ( ! empty( $_POST['tcolor'] ) ) {


		$textColor = '#' . $_POST['tcolor'];


	} else {


		$textColor = "black";


	}


	if ( ! empty( $_POST['bckcolor'] ) ) {


		$backgroundColor = '#' . $_POST['bckcolor'];


	} else {


		$backgroundColor = "";


	}


	if ( ! empty( $_POST['borcolor'] ) ) {


		$borderColor = '#' . $_POST['borcolor'];


	} else {


		$borderColor = "0px none";


	}


	if ( $_REQUEST['widget_image_enable'] == '1' ) {
		$imageEnabled = '1';
	} else {
		$imageEnabled = '0';
	}


	if ( trim( $_FILES['widget_button_image']['name'] ) != '' ) {


		$ext = getWPNMExtension( $_FILES['widget_button_image']['name'] );


		$fileName = uniqid() . '.' . $ext;


		$tmpName = $_FILES['widget_button_image']['tmp_name'];


		$success = move_uploaded_file( $tmpName, getUploadUrl() . $fileName );


		if ( $success ) {


			unlink( getUploadUrl() . $_REQUEST['hidden_widget_button_image'] );


		} else {


			$fileName = $_REQUEST['hidden_widget_button_image'];


		}


	} else {


		$fileName = $_REQUEST['hidden_widget_button_image'];


	}


	$data = array(


		'text' => wpnmDBin($textColor),


		'background' => wpnmDBin($backgroundColor),


		'border' => wpnmDBin($borderColor),


		'camp_id' => wpnmDBin($_REQUEST['widget_campaign_id']),


		'label_for_name' => wpnmDBin($_REQUEST['label_for_name_field']),


		'label_for_phone' => wpnmDBin($_REQUEST['label_for_phone_field']),


		'image_enable' => wpnmDBin($imageEnabled),


		'button_text' => wpnmDBin($_REQUEST['button_text']),


		'button_image' => wpnmDBin($fileName)


	);


	if ( $_REQUEST['setting_id'] == '' ) {


		$wpdb->insert( $wpdb->prefix . "nm_widget_style", $data );


		$_SESSION['nm_admin_notice'] = '<div class="notice notice-success"><strong>Success! </strong> settings has been added.</div>';


	} else {


		$where = array(


			'id' => wpnmDBin($_REQUEST['setting_id'])


		);


		$wpdb->update( $wpdb->prefix . "nm_widget_style", $data, $where );


		$_SESSION['nm_admin_notice'] = '<div class="notice notice-success"><strong>Success! </strong> settings has been updated.</div>';


	}


	header( "location: " . $_SERVER['HTTP_REFERER'] );


	die();


}


add_action( 'wp_ajax_generate_campaign_embed_code', 'generateCampaignEmbedCode' );


function generateCampaignEmbedCode() {


	$campID = $_REQUEST['campID'];


	echo DBout('<div id="main_div"></div><script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script><script type="text/javascript" src="' . admin_url() . 'admin-ajax.php?action=nmgwf&cid=' . $campID . '"></script>');


	die();


}


add_action( 'wp_ajax_search_nexmo_numbers', 'searchNexmoNumbers' );


function searchNexmoNumbers( $userInfo ) {


	include_once( 'plugin_files/functions.php' );


	$userInfo = getWPNMUserInfo();


	$apiKey = $userInfo->nexmo_api_key;


	$apiSecret = $userInfo->nexmo_api_secret;


	$ISOCountry = $_REQUEST['country'];


	$base_url = 'https://rest.nexmo.com';


	$action = '/number/search';


	$theurl = $base_url . $action . "?" . http_build_query( array(


			'api_key' => $apiKey,


			'api_secret' => $apiSecret,


			'country' => $ISOCountry

		) );


	$ch = curl_init( $theurl );


	curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );


	curl_setopt( $ch, CURLOPT_HTTPHEADER, array( 'Accept: application/json' ) );


	curl_setopt( $ch, CURLOPT_HEADER, array( 'Content-Type: application/x-www-form-urlencoded' ) );


	curl_setopt( $ch, CURLOPT_HEADER, 1 );


	$response = curl_exec( $ch );


	$header_size = curl_getinfo( $ch, CURLINFO_HEADER_SIZE );


	$header = substr( $response, 0, $header_size );


	$body = substr( $response, $header_size );


	if ( strpos( $header, '200' ) ) {


		$virtual_numbers = json_decode( $body, true );


		if ( ! empty( $virtual_numbers ) ) {



			foreach ( $virtual_numbers['numbers'] as $number ) {


				echo DBout('<option value="' . $number['msisdn'] . '">' . $number['msisdn'] . '</option>');

			}


		} else {


			echo DBout(( "No number found or country not supported." ));


		}


	} else {


		echo DBout(( "Your request failed because:\n" ));


		echo DBout(( $body ));


	}


	die();


}


if ( ! defined( 'NM_CONTENT_URL' ) ) {


	define( 'NM_CONTENT_URL', get_option( 'siteurl' ) . '/wp-content' );


}


if ( ! defined( 'NM_CONTENT_DIR' ) ) {


	define( 'NM_CONTENT_DIR', ABSPATH . 'wp-content' );


}


$nmpluginpath = NM_CONTENT_DIR . '/plugins/' . plugin_basename( dirname( __FILE__ ) ) . '/';


$nmpluginurl = NM_CONTENT_URL . '/plugins/' . plugin_basename( dirname( __FILE__ ) ) . '/';


if ( ! defined( 'NM_PluginURL' ) ) {


	define( 'NM_PluginURL', $nmpluginurl );


}


if ( ! defined( 'NM_PluginFilesURL' ) ) {


	define( 'NM_PluginFilesURL', $nmpluginurl . 'plugin_files/' );


}


add_action( 'wp_ajax_download_history', 'downloadNMSMSHistory' );


function downloadNMSMSHistory() {


	global $wpdb;


	$pluginDir = plugins_url( "/plugin_files/sms-report.csv", __FILE__ );


	wp_redirect( $pluginDir );




}


function onCreateNMblog( $blog_id, $user_id, $domain, $path, $site_id, $meta ) {


	if ( is_plugin_active_for_network( 'wp-messagings/nm_plugin.php' ) ) {


		switch_to_blog( $blog_id );


		nm_db_table();


		restore_current_blog();


	}

}


add_action( 'wpmu_new_blog', 'onCreateNMblog', 10, 6 );


function onNMActivate( $network_wide ) {


	global $wpdb;


	if ( is_multisite() && $network_wide ) {


		$current_blog = $wpdb->blogid;


		$blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );


		foreach ( $blog_ids as $blog_id ) {


			switch_to_blog( $blog_id );


			nm_db_table();


			restore_current_blog();


		}


	} else {


		nm_db_table();


	}


}


register_activation_hook( __FILE__, 'onNMActivate' );


$nm_pages = array(
	'nm_settings',
	'nm_main',
	'nm_subscribers',
	'nm_campaigns',
	'nm_auto_responder',
	'wooinfo',
	'nm_custom_wooinfo_message',
	'nm_bulk_sms',
	'nm_gk_sms',
	'nm_scheduler',
	'nm_widget',
	'nm_sms_report',
	'nm_call_report'
);


if ( is_admin() ) {


	add_action( 'admin_menu', 'nm_create_admin_menu' );



}


register_uninstall_hook( __FILE__, 'nm_drop_table' );


add_action( 'init', 'nm_init_sessions' );


add_action( 'wp_ajax_nm_delete_requests', 'handleNMDeleteRequests' );


function handleNMDeleteRequests() {


	global $wpdb;


	include_once( "plugin_files/del_contents.php" );

}


add_action( 'wp_ajax_nm_ajax_requests', 'handleNMAjaxRequests' );

function handleNMAjaxRequests() {
	global $wpdb;
	include_once( "plugin_files/ajax_requests.php" );
	die();
}

add_action( 'wp_ajax_save_nm_scheduler', 'saveNMScheduler' );
function saveNMScheduler() {
	global $wpdb;
	include_once( "plugin_files/save_scheduler.php" );
	die();
}


add_action( 'wp_ajax_send_nm_bulk_sms', 'sendNMBulkSms' );


function sendNMBulkSms() {


	global $wpdb;


	include_once( "plugin_files/send_bulk_sms.php" );


	die();


}


add_action( 'wp_ajax_save_nm_bulk_sms', 'saveNMBulkSms' );


function saveNMBulkSms() {


	global $wpdb;


	include_once( "plugin_files/save_bulk_sms.php" );


	die();


}


add_action( 'wp_ajax_save_nm_auto_responder', 'saveNMAutoResponder' );


function saveNMAutoResponder() {


	global $wpdb;


	include_once( "plugin_files/save_auto_responder.php" );


	die();


}


add_action( 'wp_ajax_save_nm_campaigns', 'saveNMCampaigns' );


function saveNMCampaigns() {


	global $wpdb;


	include_once( "plugin_files/save_campaigns.php" );


	die();


}


add_action( 'wp_ajax_save_nm_trivia', 'saveNMTrivia' );


function saveNMTrivia() {


	global $wpdb;


	include_once( "plugin_files/save_trivia.php" );


	die();


}


add_action( 'wp_ajax_save_nm_subsrriber', 'saveNMSubscriber' );


add_action( 'wp_ajax_nopriv_save_nm_subsrriber', 'saveNMSubscriber' );


function saveNMSubscriber() {


	global $wpdb;


	include_once( "plugin_files/save_subscribers.php" );


	die();


}


add_action( 'wp_ajax_save_nm_settings', 'saveNMSettings' );

function saveNMSettings() {

	global $wpdb;

	include_once( "plugin_files/save_settings.php" );

	die();

}


add_action( 'wp_ajax_send_custom_wooinfo_message', 'sendCustomWooinfoMessage' );


function sendCustomWooinfoMessage() {


	include_once( "plugin_files/make_custom_woo_msg.php" );


	die();

}

add_action( 'woocommerce_new_order', 'manageWPNMNewOrder' );

function manageWPNMNewOrder( $order_id ) {

	global $wpdb;

	$orderID = $order_id;

	$result = $wpdb->get_row( "select woo_autoresponders from " . $wpdb->prefix . "nm_client_info" );

	if ( count( $result ) > 0 ) {

		date_default_timezone_set( $result->timeZONE );

		$wooAutorespondersCheck = $result->woo_autoresponders;

		if ( $wooAutorespondersCheck == "1" ) {

			if ( is_plugin_active( 'woocommerce/woocommerce.php' ) == '1' ) {

				$postStatus = $wpdb->get_row( "select post_status from " . $wpdb->prefix . "posts where ID='" . $orderID . "'" );

				$orderStatus = $postStatus->post_status;

				if ( $orderStatus == "wc-pending" ) {
					$status = 'pending';
				} else if ( $orderStatus == "wc-processing" ) {
					$status = 'processing';
				} else if ( $orderStatus == "wc-on-hold" ) {
					$status = 'on hold';
				} else if ( $orderStatus == "wc-completed" ) {
					$status = 'completed';
				} else if ( $orderStatus == "wc-cancelled" ) {
					$status = 'cancelled';
				} else if ( $orderStatus == "wc-refunded" ) {
					$status = 'refunded';
				} else if ( $orderStatus == "wc-failed" ) {
					$status = 'failed';
				} else {
					$status = 'Unknown';
				}


				$orderData = $wpdb->get_row( "SELECT

					(SELECT meta_value FROM `" . $wpdb->prefix . "postmeta` where meta_key ='_billing_phone' and post_id='" . $orderID . "' limit 1) as phone,

					(SELECT meta_value FROM `" . $wpdb->prefix . "postmeta` where meta_key ='_billing_email' and post_id='" . $orderID . "' limit 1) as email,

					(SELECT meta_value FROM `" . $wpdb->prefix . "postmeta` where meta_key ='_billing_first_name' and post_id='" . $orderID . "' limit 1) as name,

					(SELECT meta_value FROM `" . $wpdb->prefix . "postmeta` where meta_key ='_billing_last_name' and post_id='" . $orderID . "' limit 1) as lastname

					FROM `wp_postmeta` limit 1" );


				if ( $orderData->phone != '' ) {

					$number = $wpdb->get_row( "select TwilioPhoneNo from " . $wpdb->prefix . "nm_phone_numbers where TwilioPhoneNo!=''" );

					if ( count( $number ) > 0 ) {

						$toNumber = $orderData->phone;

						$fromNumber = $number->TwilioPhoneNo;


						$autoresPonders = $wpdb->get_results( "select * from " . $wpdb->prefix . "nm_woo_autoresponders" );

						if ( $wpdb->num_rows ) {

							foreach ( $autoresPonders as $autores ) {

								$time = $autores->delay_time . ':00';

								$days = $autores->delay_days;

								$sendTime = date( 'Y-m-d', strtotime( '+' . $days ) ) . ' ' . $time;

								$data = array(

									'to_number' => wpnmDBin($toNumber),

									'from_number' => wpnmDBin($fromNumber),

									'message' => wpnmDBin($autores->message),

									'send_time' => wpnmDBin($sendTime),

									'media' => wpnmDBin($autores->media)

								);

								$wpdb->insert( $wpdb->prefix . "nm_send_woo_autoresponders" );

							}

						}

					}

				}


			}

		}

	}

}

add_action( 'woocommerce_order_status_pending', 'checkWooOrderStatus' );

add_action( 'woocommerce_order_status_failed', 'checkWooOrderStatus' );

add_action( 'woocommerce_order_status_on-hold', 'checkWooOrderStatus' );

add_action( 'woocommerce_order_status_processing', 'checkWooOrderStatus' );

add_action( 'woocommerce_order_status_completed', 'checkWooOrderStatus' );

add_action( 'woocommerce_order_status_refunded', 'checkWooOrderStatus' );

add_action( 'woocommerce_order_status_cancelled', 'checkWooOrderStatus' );

add_action( 'woocommerce_order_status_pending', 'checkWooOrderStatus' );

function checkWooOrderStatus( $order_id ) {

	global $wpdb;

	$result = $wpdb->get_row( "select auto_status_sms_woo, woo_status_sms from " . $wpdb->prefix . "nm_client_info" );

	if ( $wpdb->num_rows != 0 ) {

		$autoSMSSstatus = $result->auto_status_sms_woo;

		$wooStatusSms = $result->woo_status_sms;

		if ( $autoSMSSstatus == "1" ) {

			include_once( "plugin_files/check_woo_order_status.php" );

		}

	}

}


add_action( 'wp_ajax_send_gk_message', 'sendGKMessages' );

add_action( 'wp_ajax_nopriv_send_gk_message', 'sendGKMessages' );

function sendGKMessages() {

	global $wpdb;

	$userInfo = getWPNMUserInfo();

	$gk_text = $_REQUEST['gk_text'];

	$gk_numbers = explode( ',', $_REQUEST['gk_numbers'] );

	if ( $gk_numbers[0] != "" ) {


		$twilio_number_id = $_REQUEST['twilio_number_id'];


		$row = $wpdb->get_row( "select TwilioPhoneNo from " . $wpdb->prefix . "nm_phone_numbers where id='" . $twilio_number_id . "'" );


		if ( $wpdb->num_rows > 0 ) {


			$index = 0;


			$from = $row->TwilioPhoneNo;


			$message = wpnmDBout( $gk_text );


			for ( $i = 0; $i < count( $gk_numbers ); $i ++ ) {


				$to = $gk_numbers[ $i ];


				sendWPNMMessage( $from, $to, $message, $userInfo, "", "" );


				$index ++;


			}


		}


	}


	$_SESSION['nm_admin_notice'] = '<div class="notice notice-success"><strong>Success</strong> Message sent to ' . $index . ' persons.</div>';


	header( "location: " . $_SERVER['HTTP_REFERER'] );


	die();

}


add_action( 'wp_ajax_subs_from_webform', 'subsFromWebForm' );


add_action( 'wp_ajax_nopriv_subs_from_webform', 'subsFromWebForm' );


function subsFromWebForm() {


	header( "Access-Control-Allow-Origin: *" );


	global $wpdb;


	$userInfo = getWPNMUserInfo();


	$name = $_REQUEST['name'];


	$phoneNumber = $_REQUEST['phone'];


	$campaignID = $_REQUEST['camp'];


	$numData = $wpdb->get_row( "select id from " . $wpdb->prefix . "nm_user_phone_numbers where PhoneNumber='" . $phoneNumber . "'" );


	if ( count( $numData ) == 0 ) {


		$data = array(


			'Name' => wpnmDBin($name),


			'PhoneNumber' => wpnmDBin($phoneNumber),


			'Type' => wpnmDBin('3'),


			'CreatedDate' => wpnmDBin(date( 'Y-m-d H:i:s' )),


			'Status' => wpnmDBin('1')


		);


		$wpdb->insert( $wpdb->prefix . "nm_user_phone_numbers", $data );


		if ( $wpdb->last_error == '' ) {


			$subsID = $wpdb->insert_id;


			$assi = array(


				'PhoneNumberID' => wpnmDBin($subsID),


				'GroupID' => wpnmDBin($campaignID),


				'CreatedDate' => wpnmDBin(date( 'Y-m-d H:i:s' ))


			);


			$wpdb->insert( $wpdb->prefix . "nm_phone_number_group_assignment", $assi );


			if ( $wpdb->last_error == '' ) {


				$groupData = getWPNMGroupData( $campaignID );


				sendWPNMMessage( $groupData->PhoneNumber, $phoneNumber, wpnmDBout( $groupData->CampaignSMS ), $userInfo, $groupData->CampFile, $campaignID );


				if ( $groupData->is_notity == '1' ) {


					if ( $groupData->noti_type == 'sms' ) {


						$officeNumber = $groupData->BakcOfficeNumber;


						sendWPNMMessage( $groupData->PhoneNumber, $officeNumber, wpnmDBout( $groupData->SpecialGroupOfficeSMS ), $userInfo, $media, $campaignID );


					} else {


						if ( trim( $groupData->Title ) == '' ) {
							$subject = $groupData->Keyword;
						} else {
							$subject = $groupData->Title;
						}


						$officeEmail = wpnmDBout( $groupData->SpecialGroupEmail );


						$to = $officeEmail;


						$from = 'NoReply@' . $_SERVER['HTTP_HOST'];


						$message = wpnmDBout( $groupData->SpecialGroupOfficeSMS );


						$subject = wpnmDBout( $subject );


						sendEmail( $to, $subject, $message, $from );


					}


				}


				echo DBout('1');


			}


		} else {


			echo DBout('<p><strong>Failed! </strong> failed to subscribe.</p>');


		}


	} else {


		$subsID = $numData->id;


		$groupData = getWPNMGroupData( $campaignID );


		$check = $wpdb->get_row( "select id from " . $wpdb->prefix . "nm_phone_number_group_assignment where PhoneNumberID='" . $subsID . "' and GroupID='" . $groupData->id . "'" );


		if ( count( $check ) == 0 ) {


			$assign = array(


				'PhoneNumberID' => wpnmDBin($subsID),


				'GroupID' => wpnmDBin($groupData->id)


			);


			$wpdb->insert( $wpdb->prefix . "nm_phone_number_group_assignment", $assign );


			echo DBout($wpdb->last_error);


			sendWPNMMessage( $groupData->PhoneNumber, $phoneNumber, wpnmDBout( $groupData->CampaignSMS ), $userInfo, $groupData->CampFile, $campaignID );


			if ( $groupData->is_notity == '1' ) {


				if ( $groupData->noti_type == 'sms' ) {


					$officeNumber = $groupData->BakcOfficeNumber;


					sendWPNMMessage( $groupData->PhoneNumber, $officeNumber, wpnmDBout( $groupData->SpecialGroupOfficeSMS ), $userInfo, $media, $campaignID );


				} else {


					if ( trim( $groupData->Title ) == '' ) {
						$subject = $groupData->Keyword;
					} else {
						$subject = $groupData->Title;
					}


					$officeEmail = wpnmDBout( $groupData->SpecialGroupEmail );


					$to = $officeEmail;


					$from = 'NoReply@' . $_SERVER['HTTP_HOST'];


					$message = wpnmDBout( $groupData->SpecialGroupOfficeSMS );


					$subject = wpnmDBout( $subject );


					sendEmail( $to, $subject, $message, $from );


				}


			}


			echo DBout('1');


		} else {


			sendWPNMMessage( $groupData->PhoneNumber, $phoneNumber, wpnmDBout( $groupData->already_member_sms ), $userInfo, $groupData->CampFile, $campaignID );


			echo DBout('<p><strong>Failed! </strong> already member in this campaign.</p>');


		}


	}


	die();

}


add_action( 'wp_ajax_nmgwf', 'makeWebForm' );


add_action( 'wp_ajax_nopriv_nmgwf', 'makeWebForm' );


function makeWebForm() {


	include_once( 'plugin_files/get_gwf.php' );


	die();

}


add_action( 'wp_ajax_load_web_form', 'loadWebFrom' );


add_action( 'wp_ajax_nopriv_load_web_form', 'loadWebFrom' );


function loadWebFrom() {


	header( "Access-Control-Allow-Origin: *" );


	include_once( 'plugin_files/gwf.php' );


	die();

}


add_action( 'wp_ajax_send_mass_sms', 'sendMassSMS' );


add_action( 'wp_ajax_nopriv_send_mass_sms', 'sendMassSMS' );


function sendMassSMS() {


	include_once( 'plugin_files/send_mass_sms.php' );


	die();

}


add_action( 'wp_ajax_send_mms', 'sendMMS' );


add_action( 'wp_ajax_nopriv_send_mms', 'sendMMS' );


function sendMMS() {


	include_once( "plugin_files/send_mms.php" );


	die();

}


add_action( 'wp_ajax_process_data', 'dataProcessor' );


function dataProcessor() {


	include_once( "plugin_files/server.php" );


	die();

}


add_action( 'wp_ajax_save_woo_settings', 'saveWooInfoSettings' );


function saveWooInfoSettings() {


	global $wpdb;


	if ( $_REQUEST['hidden_id'] == "" ) {


		$data = array(


			'status_text' => wpnmDBin($_REQUEST['order_status_text']),


			'forward_camp_id' => wpnmDBin($_REQUEST['forward_campaign'])


		);


		$wpdb->insert( $wpdb->prefix . "nm_order_details", $data ) or die( mysql_error() );


	} else {


		$data = array(


			'status_text' => wpnmDBin($_REQUEST['order_status_text']),


			'forward_camp_id' => wpnmDBin($_REQUEST['forward_campaign'])


		);


		$where = array(


			'id' => wpnmDBin($_REQUEST['hidden_id'])


		);


		$wpdb->update( $wpdb->prefix . "nm_order_details", $data, $where ) or die( mysql_error() );


	}


	header( "location: " . $_SERVER['HTTP_REFERER'] );


	die();

}


add_action( 'wp_ajax_get_twilio_sms_response', 'getSMS' );


add_action( 'wp_ajax_nopriv_get_twilio_sms_response', 'getSMS' );


function getSMS() {


	include_once( 'plugin_files/sms_controlling.php' );


	die();

}


add_action( 'wp_ajax_get_twilio_call_response', 'getCall' );


add_action( 'wp_ajax_nopriv_get_twilio_call_response', 'getCall' );


function getCall() {


	include_once( 'plugin_files/calls_controlling.php' );


	die();

}


add_action( 'wp_ajax_s-to-c', 'sToC' );


add_action( 'wp_ajax_nopriv_s-to-c', 'sToC' );


function sToC() {


	include_once( 'plugin_files/subscribe_to_campaign.php' );


	die();

}


add_action( 'wp_ajax_testing_testing', 'testingTesting' );


function testingTesting() {


	include_once( "plugin_files/test.php" );


	die();

}


include_once( "plugin_files/require_create_widget.php" );


add_action( 'wp_ajax_save_nm_contest', 'savecontestCampaigns' );
function savecontestCampaigns(){
	include_once 'plugin_files/save_contest.php';
	die();
}


?>
<link rel='stylesheet' href='<?php echo DBout($nmpluginurl.'css/custom_css/main.css');?>' type='text/css' media='all' />